[arch-commits] Commit in libgda/repos (testing-i686 testing-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Apr 4 08:05:01 EDT 2009


    Date: Saturday, April 4, 2009 @ 08:05:00
  Author: jgc
Revision: 33135

Merged revisions 32377 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libgda/trunk

........
  r32377 | andyrtr | 2009-03-30 20:25:58 +0000 (Mon, 30 Mar 2009) | 2 lines
  
  upgpkg: libgda 4.0.1-1
      new version 4.0.1
........

Modified:
  libgda/repos/testing-i686/	(properties)
  libgda/repos/testing-i686/PKGBUILD

----------+
 PKGBUILD |   24 ++++++++----------------
 1 file changed, 8 insertions(+), 16 deletions(-)


Property changes on: libgda/repos/testing-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libgda/trunk:1-31093
   + /libgda/trunk:1-33134

Modified: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2009-04-04 12:02:32 UTC (rev 33134)
+++ testing-i686/PKGBUILD	2009-04-04 12:05:00 UTC (rev 33135)
@@ -2,31 +2,23 @@
 # Maintainer: tobias <tobias at archlinux.org>
 # Contributor: Tobias Kieslich <tobias at justdreams.de>
 
-force=y
 pkgname=libgda
-pkgver=1.2.4
-pkgrel=5
+pkgver=4.0.1
+pkgrel=1
 pkgdesc="data abstraction layer; with mysql, pgsql, ldap, xml, sqlite providers"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('glib2>=2.12.3' 'libxslt' 'popt' 'rarian' 'db>=4.7' 'ncurses>=5.6-7'
-         'libmysqlclient' 'postgresql-libs>=8.2.3' 'libldap' 'unixodbc' 'sqlite3')
+depends=('glib2>=2.20.0' 'libxslt' 'db>=4.7' 'ncurses>=5.7-2' 'libsoup>=2.26.0'
+         'libmysqlclient>=5.1.32-2' 'postgresql-libs>=8.3.7' 'libldap>=2.3.43-3' 'unixodbc' 'sqlite3>=3.6.11')
 makedepends=('intltool' 'pkgconfig')
 options=('!libtool')
 url="http://www.gnome-db.org"
-install=libgda.install
-source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/1.2/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('512a8ed842ce98eb432e69bd6867f437')
+source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/4.0/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('7449861d4f421cd3cd20e670434122fb')
 
 build() {
-  export MAKEFLAGS="-j1"
   cd ${startdir}/src/${pkgname}-${pkgver}
-  find . -name Makefile.in -exec sed -i -e 's/-scrollkeeper-update.*//' {} \;
-  if [ -f omf.make ]; then
-    sed -i -e 's/-scrollkeeper-update.*//' omf.make
-  fi
-
-  ./configure --prefix=/usr --sysconfdir=/etc
+  ./configure --prefix=/usr --sysconfdir=/etc --disable-static
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${startdir}/pkg install || return 1
 }



More information about the arch-commits mailing list